--TEST--
02: Update
--FILE--
<?php
require_once dirname(__FILE__).'/config.php';

$x = new DBDO('test', 'test');
$x->name      = "test";
$x->username  = "testusername";
$x->password  = "testpwd";
$x->firstname = "testfname";
$x->lastname  = "testlname";
$id = $x->insert();

$x = new DBDO('test', 'test');
$x->get($id);
print_r($x);

$x->name = "changed name";
$x->update();
print_r($x);

$x = new DBDO('test', 'test');
$x->get($id);
print_r($x);


--EXPECTF--
Warning: DBDO:(Debug) QUERY:
INSERT INTO test ( name , username , password , firstname , lastname ) VALUES ( 'test' , 'testusername' , 'testpwd' , 'testfname' , 'testlname' )
 in %s on line 10

Warning: DBDO:(Debug) QUERY:
SELECT * FROM test WHERE id = %d
 in %s on line 13
DBDO Object
(
    [id] => %d
    [name] => test
    [username] => testusername
    [password] => testpwd
    [firstname] => testfname
    [lastname] => testlname
)

Warning: DBDO:(Debug) QUERY:
UPDATE test SET name='changed name' WHERE ((id = %d))
 in %s on line %d
DBDO Object
(
    [id] => %d
    [name] => changed name
    [username] => testusername
    [password] => testpwd
    [firstname] => testfname
    [lastname] => testlname
)

Warning: DBDO:(Debug) QUERY:
SELECT * FROM test WHERE id = %d
 in %s on line %d
DBDO Object
(
    [id] => %d
    [name] => changed name
    [username] => testusername
    [password] => testpwd
    [firstname] => testfname
    [lastname] => testlname
)






