dnl $Id: config.m4,v 1.3 2004/11/18 14:40:04 alan_k Exp $
dnl config.m4 for extension dbdo

dnl Comments in this file start with the string 'dnl'.
dnl Remove where necessary. This file will not work
dnl without editing.

dnl If your extension references something external, use with:

PHP_ARG_WITH(dbdo, for dbdo support,
[  --with-dbdo             Include dbdo support])


if test "$PHP_DBDO" != "no"; then
  dnl Write more examples of tests here...

  dnl # --with-dbdo -> check with-path
  SEARCH_PATH="/usr/local /usr"     # you might want to change this
  SEARCH_FOR="/bin/pkg-config"  # you most likely want to change this
  if test -r $PHP_DBDO/$SEARCH_FOR; then # path given as parameter
     DBDO_DIR=$PHP_DBDO
  else # search default path list
     AC_MSG_CHECKING([for dbdo files in default path])
     for i in $SEARCH_PATH ; do
       if test -r $i/$SEARCH_FOR; then
         DBDO_DIR=$i
         AC_MSG_RESULT(found in $i)
       fi
     done
  fi
  
   if test -z "$DBDO_DIR"; then
     AC_MSG_RESULT([not found])
     AC_MSG_ERROR([Please reinstall the dbdo distribution])
   fi

  dnl # --with-dbdo -> add include path
  PHP_DBDO_CFLAGS=`$DBDO_DIR/bin/pkg-config --cflags libgda`
  

  if test "$PHP_DBDO_CFLAGS" == ""; then
     AC_MSG_ERROR([pkg-config failed to find libgda])
  fi
  INCLUDES="$INCLUDES $PHP_DBDO_CFLAGS"
  
  PHP_DBDO_LIBS=`$DBDO_DIR/bin/pkg-config --libs libgda`  
  
  
  PHP_EVAL_LIBLINE([$PHP_DBDO_CFLAGS $PHP_DBDO_LIBS], DBDO_SHARED_LIBADD)
  
  PHP_SUBST(DBDO_SHARED_LIBADD)
  PHP_NEW_EXTENSION(dbdo, dbdo.c dbdo_object.c, $ext_shared)
#join support comming soon..
#  PHP_NEW_EXTENSION(dbdo, dbdo.c dbdo_join.c, $ext_shared)
fi
