<?php

if (!extension_loaded('dbdo')) {
    dl('dbdo.' . PHP_SHLIB_SUFFIX);
}

 
// set up source test to use database test..
DBDO::config('test','provider','MySQL');
DBDO::config('test','cnc','DATABASE=test;USER=alan');
dbdo::debugLevel(1);

 
/* insert + delete */
$x = new DBDO('test', 'test');
$y = clone($x);
$x->name = 'test1';
$x->username = 'test2';
$x->insert();
$x->delete();

/* insert, get+delete */
$x = new DBDO('test', 'test');
$y = clone($x);
$x->name = 'test3';
$x->username = 'test4';
$id = $x->insert();

$y->get($id);
$y->delete();


/* insert, nofetch+delete */
$x = new DBDO('test', 'test');
$y = clone($x);
$x->name = 'test5';
$x->username = 'test6';
$id = $x->insert();

$y->id = $id;
$y->delete();



/* insert, nofetch+delete */
$x = new DBDO('test', 'test');
$y = clone($x);
$x->name = 'test7';
$x->username = 'test8';


$y->name = 'test7';
try {
    $y->delete();
} catch (DBDO_Exception $e) {
    echo "FAILED delete test - correct\n";
}
$y->delete(DBDO::BUILD);





