<?php
DBDO::config('test','provider','MySQL');
DBDO::config('test','cnc','DATABASE=test;USER=alan');

$x = new DBDO('test','typetest');
$s = $x->schema();
echo "START";
print_r($s);
foreach ($s as $col) {
    print_r($x->schema($col));
}
/*
Array
(
    [0] => id
    [1] => a_date
    [2] => a_time
    [3] => a_datetime
    [4] => b_date
    [5] => ts
)
Array
(
    [Field name] => id
    [Data type] => int
    [Size] => 11
    [Scale] => 0
    [Not null?] => TRUE
    [Primary key?] => TRUE
    [Unique index?] => FALSE
    [References] => auto_increment
    [Default value] =>
)
Array
(
    [Field name] => a_date
    [Data type] => date
    [Size] => -1
    [Scale] => 0
    [Not null?] => FALSE
    [Primary key?] => FALSE
    [Unique index?] => FALSE
    [References] =>
    [Default value] => 0000-00-00
)
Array
(
    [Field name] => a_time
    [Data type] => time
    [Size] => -1
    [Scale] => 0
    [Not null?] => TRUE
    [Primary key?] => FALSE
    [Unique index?] => FALSE
    [References] =>
    [Default value] => 00:00:00
)
Array
(
    [Field name] => a_datetime
    [Data type] => datetime
    [Size] => -1
    [Scale] => 0
    [Not null?] => FALSE
    [Primary key?] => FALSE
    [Unique index?] => FALSE
    [References] =>
    [Default value] => 0000-00-00 00:00:00
)
Array
(
    [Field name] => b_date
    [Data type] => datetime
    [Size] => -1
    [Scale] => 0
    [Not null?] => FALSE
    [Primary key?] => FALSE
    [Unique index?] => FALSE
    [References] =>
    [Default value] => 0000-00-00 00:00:00
)
Array
(
    [Field name] => ts
    [Data type] => timestamp
    [Size] => 14
    [Scale] => 0
    [Not null?] => FALSE
    [Primary key?] => FALSE
    [Unique index?] => FALSE
    [References] =>
    [Default value] =>
)
*/
exit;