<?php
/* example of valueSet() */

 
if (!extension_loaded('dbdo')) {
    dl('dbdo.' . PHP_SHLIB_SUFFIX);
}

// set up source test to use database test..
DBDO::config('test','provider','MySQL');
DBDO::config('test','cnc','DATABASE=test;USER=alan');

dbdo::debugLevel(DBDO::E_ALL);

class x { 
    function toString() {
        return str_repeat('hello world',255);
    }
    function toSQL() {
        return 'NOW()';
    }
}
$xdata = new x;

// connect to source test, table test..
$x = new dbdo("test","typetest");
print_r($x->schema());
print_r($x->schema('v_varchar'));

$x->valueSet('b_bool', 0);
$x->valueSet('v_varchar', 6);
$x->valueSet('v_varchar',  "fre'dxxx");
$x->valueSet('b_bool',  true);

$x->valueSet('v_varchar',  $xdata);

echo "printing x with some values set.. \n";
print_r($x);

echo "inserting\n";
$r=  $x->insert();

echo "result is\n";
var_dump($r);
 