--TEST--
40: Fetching - Assoc
--FILE--
<?php

require_once dirname(__FILE__).'/config.php';

echo "Create data to test with.";
DBDO::config('test', 'class_name' , 'DBDO');

$x = DBDO::factory('test','test');

$x->assignFrom(array(
    'name'      => "test1",
    'username'  => "testusernam1",
    'password'  => "testpwd1",
    'firstname' => "testfname1",
    'lastname'  => "testlname1",
));

$insert1 = $x->insert();

$x = DBDO::factory('test','test');

$x->assignFrom(array(
    'name'      => "test2",
    'username'  => "testusernam2",
    'password'  => "testpwd2",
    'firstname' => "testfname2",
    'lastname'  => "testlname2",
));

$insert2 = $x->insert();

$x = DBDO::factory('test','test');
$x->selectAdd('id,name');
$x->whereAdd("id in ({$insert1},{$insert2})");
$x->query();
$data = $x->fetchAll(DBDO::KEY_VALUE);
print_r($data);



--EXPECTF--
Create data to test with.
Warning: DBDO:(Debug) QUERY:
INSERT INTO test ( name , username , password , firstname , lastname ) VALUES ( 'test1' , 'testusernam1' , 'testpwd1' , 'testfname1' , 'testlname1' )
 in %s on line %s

Warning: DBDO:(Debug) QUERY:
INSERT INTO test ( name , username , password , firstname , lastname ) VALUES ( 'test2' , 'testusernam2' , 'testpwd2' , 'testfname2' , 'testlname2' )
 in %s on line %s

Warning: DBDO:(Debug) QUERY: 
SELECT id,name FROM test WHERE (id in (%s,%s))
 in %s on line %s
Array
(
    [%s] => test1
    [%s] => test2
)