--TEST--
42: Fetching - single Value 
--FILE--
<?php

require_once dirname(__FILE__).'/config.php';


echo "Create data to test with.";
DBDO::config('test', 'class_name' , 'DBDO');

$x = DBDO::factory('test','test');

$x->assignFrom(array(
    'name'      => "test1",
    'username'  => "testusernam1",
    'password'  => "testpwd1",
    'firstname' => "testfname1",
    'lastname'  => "testlname1",
));

$insert1 = $x->insert();
 
$x = DBDO::factory('test','test');
$x->selectAdd('name');
$x->whereAdd("id = {$insert1}");
$x->query();
$data = $x->fetchAll(DBDO::SINGLE);
print_r($data);



--EXPECTF--
Create data to test with.
Warning: DBDO:(Debug) QUERY:
INSERT INTO test ( name , username , password , firstname , lastname ) VALUES ( 'test1' , 'testusernam1' , 'testpwd1' , 'testfname1' , 'testlname1' )
 in %s on line %s

Warning: DBDO:(Debug) QUERY: 
SELECT name FROM test WHERE (id = %s)
 in %s on line %s
test1