--TEST--
60: Assign From Test
--FILE--
<?php
require_once dirname(__FILE__).'/config.php';
DBDO::config('test','class_name', 'DBDO_%s');

class DBDO_comments extends DBDO
{

	function setURL($x) {
		echo "\nSETTING URL $x\n\n";
		$this->url = $x;
	}

}


$x = DBDO::factory('test', 'comments');

$x->query('DROP TABLE IF EXISTS comments');
$x->query("CREATE TABLE `comments` (
  `id` int(11) NOT NULL auto_increment,
  `entry_id` int(10) unsigned NOT NULL default '0',
  `timestamp` int(10) unsigned default NULL,
  `title` varchar(150) default NULL,
  `author` varchar(80) default NULL,
  `email` varchar(200) default NULL,
  `url` varchar(200) default NULL,
  `ip` varchar(15) default NULL,
  `body` text,
  `type` varchar(100) default 'regular',
  `subscribed` enum('true','false') NOT NULL default 'true',
  `wikifile` varchar(128) default '',
  PRIMARY KEY  (`id`),
  KEY `wikilookup` (`wikifile`),
  FULLTEXT KEY `body` (`body`)
) TYPE=MyISAM");


$ar = array(
     'author' => 'test',
     'email' => 'test',
     'url' => 'test',
     'body' => 'test',
);
$x->assignFrom($ar);
print_r($x);
$id = $x->insert();
print_r($x);

$x = new DBDO('test', 'comments');
$x->get($id);
print_r($x); 

?>
--EXPECTF--