--TEST--
80: DBDO::info();
--FILE--
<?php
require_once dirname(__FILE__).'/config.php';

$x = new DBDO('test', 'test');
$x->name      = "test";
$x->username  = "testusername";
$x->password  = "testpwd";
$x->firstname = "testfname";
$x->lastname  = "testlname";
$id = $x->insert();
print_r($x);

$x = new DBDO('test', 'test');
$x->get($id);
$x->firstname = "the dog";
print_r($x->info()); 

--EXPECTF--
Warning: DBDO:(Debug) QUERY:
INSERT INTO test ( name , username , password , firstname , lastname ) VALUES ( 'test' , 'testusername' , 'testpwd' , 'testfname' , 'testlname' )
 in %s on line 10
DBDO Object
(
    [name] => test
    [username] => testusername
    [password] => testpwd
    [firstname] => testfname
    [lastname] => testlname
    [id] => %d
)

Warning: DBDO:(Debug) QUERY:
SELECT * FROM test WHERE id = %d
 in %s on line 14
Array
(
    [table] => test
    [dsn] => test
    [database] => test
    [cnc] => DATABASE=test;USER=alan
    [provider] => MySQL
    [username] => alan
    [password] => 
    [row] => 0
    [rows] => 1
    [fetched] => Array
        (
            [id] => %d
            [name] => test
            [username] => testusername
            [password] => testpwd
            [firstname] => testfname
            [lastname] => testlname
        )

    [config] => Array
        (
            [require_path] => 
            [class_name] => 
            [links] => 
            [quote_identifiers] => 0
            [lowercase_columns] => 0
        )

    [sequence_column] => id
    [sequence_is_native] => 1
    [sequence_assigned] => 1
    [sequence_name] => 
    [keys] => Array
        (
        )

    [where] => 
    [group_by] => 
    [order_by] => 
    [having] => 
    [limit_from] => 
    [limit_qty] => 
    [select] => 
)
